package com.ruoyi.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.ruoyi.business.domain.TOngoodsshelf;

/**
 * 入库任务单Service接口
 * 
 * @author tony.wu
 * @date 2022-05-29
 */
public interface ITOngoodsshelfService extends IService<TOngoodsshelf>
{
    /**
     * 查询入库任务单
     * 
     * @param lotId 入库任务单主键
     * @return 入库任务单
     */
    public TOngoodsshelf selectTOngoodsshelfByLotId(String lotId);

    /**
     * 查询入库任务单列表
     * 
     * @param tOngoodsshelf 入库任务单
     * @return 入库任务单集合
     */
    public List<TOngoodsshelf> selectTOngoodsshelfList(TOngoodsshelf tOngoodsshelf);

    /**
     * 新增入库任务单
     * 
     * @param tOngoodsshelf 入库任务单
     * @return 结果
     */
    public int insertTOngoodsshelf(TOngoodsshelf tOngoodsshelf);

    /**
     * 修改入库任务单
     * 
     * @param tOngoodsshelf 入库任务单
     * @return 结果
     */
    public int updateTOngoodsshelf(TOngoodsshelf tOngoodsshelf);

    /**
     * 批量删除入库任务单
     * 
     * @param lotIds 需要删除的入库任务单主键集合
     * @return 结果
     */
    public int deleteTOngoodsshelfByLotIds(String lotIds);

    /**
     * 删除入库任务单信息
     * 
     * @param lotId 入库任务单主键
     * @return 结果
     */
    public int deleteTOngoodsshelfByLotId(String lotId);

    int insertTOngoodsshelfValues(List<TOngoodsshelf> tOngoodsshelves);
}
